import { OnChanges } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
export declare class UseCaseComponent implements OnChanges {
    private sanitizer;
    usage: string;
    activeTab: string;
    doc: string;
    demo: SafeHtml;
    tabs: {
        [type: string]: string;
    };
    constructor(sanitizer: DomSanitizer);
    ngOnChanges(): void;
    switchTabs(tab?: string): void;
    getTitle(doc: string): string;
    codeType(type: string): string;
}
